Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects.epath
Class EPathBuilder

    java.lang.Object
      com.sun.mdm.index.objects.epath.EPathBuilder

public class EPathBuilder
extends java.lang.Object

Builds an EPath given data in an object node format.

Constructor Summary
`EPathBuilder()` Creates a new instance of EPathBuilder

Method Summary
`static java.lang.String` | `createEPath(ObjectNode node, java.lang.String fn)` creates an EPath string using from the ObjectNode and specified field.
`static java.lang.String` | `createEPath(ObjectNode node, java.lang.String fn, ObjectNode stopNode)` creates an EPath string using from the ObjectNode and specified field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPathBuilder

    public EPathBuilder()

  Creates a new instance of EPathBuilder

Method Detail

### createEPath

    public static java.lang.String createEPath(ObjectNode node,
                                               java.lang.String fn)
                                        throws ObjectException

  creates an EPath string using from the ObjectNode and specified field. The created EPath will start from the root of the object graph the specified node belongs to.

  Parameters:
    `node` - node to create the EPath for
    `fn` - the field, if null or empty string, then '*' is used
  Returns:
    an EPath string
  Throws:
    `ObjectException` - error accessing the objects

### createEPath

    public static java.lang.String createEPath(ObjectNode node,
                                               java.lang.String fn,
                                               ObjectNode stopNode)
                                        throws ObjectException

  creates an EPath string using from the ObjectNode and specified field. The created EPath will start from the root of the object graph the specified node belongs to.

  Parameters:
    `stopNode` - stop at this node, null to goto the root
    `node` - node to create the EPath for
    `fn` - the field, if null or empty string, then '*' is used
  Returns:
    an EPath string
  Throws:
    `ObjectException` - error accessing the objects

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.